/*
Theme Name: Astra Child
Template: astra
*/

/* Stijl voor het hamburger menu */
.hamburger-menu {
  font-size: 2em;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 18px;
}

.hamburger-menu span {
  display: block;
  width: 25px;
  height: 3px;
  background-color: #000; /* Standaard zwarte kleur */
  transition: background-color 0.3s ease; /* Vloeiende kleurovergang */
}

/* Stijl voor het volledig scherm menu */
.fullscreen-menu {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.9); /* Licht transparante achtergrond */
  justify-content: center;
  align-items: center;
  z-index: 998;
}

.fullscreen-menu.active {
  display: flex;
}

.menu-content {
  text-align: center;
}

.menu-content ul {
  list-style: none; /* Verwijder de stippen voor de menu-items */
  padding: 0; /* Verwijder eventuele standaard padding */
  margin: 0; /* Verwijder eventuele standaard marges */
}

.menu-content a {
  display: block;
  margin: 10px 0;
  font-size: 1.2em;
  text-decoration: none;
  color: #000;
}

/* Toon de header altijd en centreer de hamburger */
.site-header {
  display: flex;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999;
  background-color: transparent; /* Transparante achtergrond */
  justify-content: center; /* Centreren van het hamburger menu */
  align-items: center;
  padding: 10px 20px;
}